<template>
    <div class="bg-white shadow overflow-hidden sm:rounded-lg flex-1" v-if='user.confirmed'>
        <div class="px-4 py-5 sm:px-6">
            <h3 class="text-lg leading-6 font-medium text-gray-900">
                Информация за твоя получател
            </h3>
            <p class="mt-1 max-w-2xl text-sm text-gray-500">
                <span v-if='! user.sent' @click='confirmMarking = true' class='text-xmas-red cursor-pointer'>Маркирай като изпратен.</span>
                <span v-else class='text-green-700 cursor-pointer'>Подаръкът ти е маркиран като изпратен.</span>
            </p>
        </div>
        <div class="border-t border-gray-200 px-4 py-5 sm:p-0" v-if='receiver'>
            <dl class="sm:divide-y sm:divide-gray-200">
                <div class="py-4 sm:py-5 text-center sm:text-left sm:px-6 bg-xmas-gray text-white sm:rounded-md">
                    <dd class="mt-1 text-sm text-white font-bold text-center tracking-widest uppercase sm:mt-0 sm:col-span-2">
                        {{ receiver.name }}
                    </dd>
                </div>
                <div class="py-4 px-4 sm:py-5 text-center sm:text-left sm:px-6 bg-xmas-red text-white sm:rounded-md">
                    <dd class="mt-1 text-sm text-white sm:mt-0 sm:col-span-2" v-text="receiver.bio">
                    </dd>
                </div>
                <div class="py-4 sm:py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
                    <dt class="text-sm font-medium text-gray-500">
                        Телефон
                    </dt>
                    <dd class="mt-1 text-sm text-gray-900 sm:mt-0 sm:col-span-2">
                        {{ receiver.phone }}
                    </dd>
                </div>
                <div class="py-4 sm:py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
                    <dt class="text-sm font-medium text-gray-500">
                        BGG Профил
                    </dt>
                    <dd class="mt-1 text-sm text-gray-900 sm:mt-0 sm:col-span-2 w-full flex">
                        <span class="flex-grow">
                            {{ receiver.bgg ?? 'Не е посочен' }}
                        </span>
                        <span v-if='receiver.bgg' class="ml-4 flex-shrink-0">
                            <button type="button" class="bg-white rounded-md font-medium text-indigo-600 hover:text-indigo-500 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500 flex items-center space-x-1">
                                <a :href='receiver.bgg_full_url' target='_blank'>Отвори</a>
                                <ExternalLinkIcon class='h-6' />
                            </button>
                        </span>
                    </dd>
                </div>
                <div class="py-4 sm:py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
                    <dt class="text-sm font-medium text-gray-500">
                        Населено място
                    </dt>
                    <dd class="mt-1 text-sm text-gray-900 sm:mt-0 sm:col-span-2">
                        {{ receiver.city }}
                    </dd>
                </div>
                <div class="py-4 sm:py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
                    <dt class="text-sm font-medium text-gray-500">
                        Данни за доставка
                    </dt>
                    <dd class="mt-1 text-sm text-gray-900 sm:mt-0 sm:col-span-2">
                        Изпращане до 
                        <template v-if="receiver.courier != 3">
                            {{ receiver.courier_name }}, {{ receiver.type_of_delivery }} {{ receiver.place_of_delivery }}
                        </template>
                        <template v-else>
                            София, Спиди, офис "Златовръх", на името на Максимилиан Бербечелов с телефон 0878561812
                        </template>
                    </dd>
                </div>
            </dl>
        </div> 
        <Modal v-if='receiver' @confirm='markSent' @close='confirmMarking = false' :open='confirmMarking' title='Изпратих подаръка' confirmButton="Маркирай като изпратен">
            Потвърждаваш ли, че си изпратил подаръка на {{ receiver.name }} по {{ receiver.courier_name }}, {{ receiver.type_of_delivery }} {{ receiver.place_of_delivery }}?<br /><br />
            Това действие ще извести получателя и е <strong>НЕОБРАТИМО</strong>.
        </Modal>
    </div>    
</template>

<script>
import { ExternalLinkIcon } from '@heroicons/vue/solid'
import Modal from '@/components/Modal'

export default {
    components: {
        ExternalLinkIcon,
        Modal
    },
    data() {
        return {
            receiver: null,
            confirmMarking: false,
            user: this.$store.getters["auth/authUser"],
        }
    },
    created() {
        this.getReceiver();
    },
    methods: {
        async getReceiver() {
            let response = await axios.get('api/account/receiver');
            this.receiver = response.data;
            this.$store.dispatch("main/stopLoading");
        },
        async markSent() {
            this.loadingSent = true;
            let response = await axios.post('api/account/sent');
            this.user.sent = 1;
            this.loadingSent = false;
        }
    }
}
</script>